<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
	android:orientation="vertical" android:layout_width="fill_parent"
	android:layout_height="fill_parent">
	<LinearLayout android:orientation="vertical"
		android:layout_width="fill_parent" android:layout_height="fill_parent">

		<TextView android:layout_width="fill_parent"
			android:layout_height="wrap_content" android:text="@string/CLSServerConnection"
			android:textSize="18sp" />
		<LinearLayout android:orientation="horizontal"
			android:layout_width="fill_parent" android:layout_height="wrap_content">
			<TextView android:layout_width="wrap_content"
				android:layout_height="wrap_content" android:text="@string/CLSUserid"
				android:minWidth="90dp" android:textSize="14sp" />
			<EditText android:id="@+id/userid" android:layout_width="fill_parent"
				android:layout_height="wrap_content" android:singleLine="true"
				android:textSize="14sp" android:autoText="false" android:capitalize="none"
				android:scrollHorizontally="true" />
		</LinearLayout>

		<LinearLayout android:orientation="horizontal"
			android:layout_width="fill_parent" android:layout_height="wrap_content">
			<TextView android:layout_width="wrap_content"
				android:layout_height="wrap_content" android:text="@string/CLSHostPort"
				android:minWidth="90dp" android:textSize="14sp" />
			<EditText android:id="@+id/host" android:layout_width="fill_parent"
				android:layout_height="wrap_content" android:singleLine="true"
				android:textSize="14sp" android:autoText="false" android:capitalize="none"
				android:layout_weight="2" android:scrollHorizontally="true" />
			<EditText android:id="@+id/port" android:layout_width="fill_parent"
				android:layout_height="wrap_content" android:singleLine="true"
				android:textSize="14sp" android:autoText="false" android:capitalize="none"
				android:layout_weight="3" android:scrollHorizontally="true" />
		</LinearLayout>

		<LinearLayout android:orientation="horizontal"
			android:layout_width="fill_parent" android:layout_height="wrap_content">
			<TextView android:layout_width="wrap_content"
				android:layout_height="wrap_content" android:text="@string/CLSPassword"
				android:minWidth="90dp" android:textSize="14sp" />
			<EditText android:id="@+id/password" android:layout_width="fill_parent"
				android:layout_height="wrap_content" android:singleLine="true"
				android:password="true" android:textSize="14sp" android:autoText="false"
				android:capitalize="none" android:scrollHorizontally="true" />
		</LinearLayout>

		<TextView android:layout_width="fill_parent"
			android:layout_height="wrap_content" android:text=""
			android:textSize="18sp" />

		<Spinner android:id="@+id/proxy_type" android:layout_width="fill_parent"
			android:layout_height="wrap_content" />

		<LinearLayout android:id="@+id/proxy_layout"
			android:orientation="vertical" android:layout_width="fill_parent"
			android:layout_height="0sp">

			<TextView android:layout_width="fill_parent"
				android:layout_height="wrap_content" android:text="@string/CLSProxyInfo"
				android:textSize="18sp" />

			<LinearLayout android:orientation="horizontal"
				android:layout_width="fill_parent" android:layout_height="wrap_content">
				<TextView android:layout_width="wrap_content"
					android:layout_height="wrap_content" android:text="@string/CLSHostPort"
					android:minWidth="90dp" android:textSize="14sp" />
				<EditText android:id="@+id/proxy_host"
					android:layout_width="fill_parent" android:layout_height="wrap_content"
					android:singleLine="true" android:textSize="14sp" android:autoText="false"
					android:capitalize="none" android:layout_weight="2"
					android:scrollHorizontally="true" />
				<EditText android:id="@+id/proxy_port"
					android:layout_width="fill_parent" android:layout_height="wrap_content"
					android:singleLine="true" android:textSize="14sp" android:autoText="false"
					android:capitalize="none" android:layout_weight="3"
					android:scrollHorizontally="true" />
			</LinearLayout>

			<LinearLayout android:orientation="horizontal"
				android:layout_width="fill_parent" android:layout_height="wrap_content">
				<TextView android:layout_width="wrap_content"
					android:layout_height="wrap_content" android:text="@string/CLSLogin"
					android:minWidth="90dp" android:textSize="14sp" />
				<EditText android:id="@+id/proxy_login"
					android:layout_width="fill_parent" android:layout_height="wrap_content"
					android:singleLine="true" android:textSize="14sp" android:autoText="false"
					android:capitalize="none" android:scrollHorizontally="true" />
			</LinearLayout>

			<LinearLayout android:orientation="horizontal"
				android:layout_width="fill_parent" android:layout_height="wrap_content">
				<TextView android:layout_width="wrap_content"
					android:layout_height="wrap_content" android:text="@string/CLSPassword"
					android:minWidth="90dp" android:textSize="14sp" />
				<EditText android:id="@+id/proxy_pwd" android:layout_width="fill_parent"
					android:layout_height="wrap_content" android:singleLine="true"
					android:password="true" android:textSize="14sp" android:autoText="false"
					android:capitalize="none" android:scrollHorizontally="true" />
			</LinearLayout>
		</LinearLayout>
		<Button android:id="@+id/ok" android:layout_width="fill_parent"
			android:layout_height="wrap_content" android:layout_gravity="center_horizontal"
			android:text="@string/CLSOkButton">
			<requestFocus />
		</Button>
	</LinearLayout>
</ScrollView>